=== modified file 'diff.py'
--- diff.py	2011-08-12 22:58:29 +0000
+++ diff.py	2011-09-03 01:25:04 +0000
@@ -442,10 +442,10 @@
     def _get_menu_bar(self):
         menubar = Gtk.MenuBar()
         # View menu
-        mb_view = Gtk.MenuItem(label=_i18n("_View"))
+        mb_view = Gtk.MenuItem.new_with_mnemonic(_i18n("_View"))
         mb_view_menu = Gtk.Menu()
-        mb_view_wrapsource = Gtk.CheckMenuItem(
-            label=_i18n("Wrap _Long Lines"))
+        mb_view_wrapsource = Gtk.CheckMenuItem.new_with_mnemonic(
+            _i18n("Wrap _Long Lines"))
         mb_view_wrapsource.connect('activate', self.diff._on_wraplines_toggled)
         mb_view_wrapsource.show()
         mb_view_menu.append(mb_view_wrapsource)

=== modified file 'notify.py'
--- notify.py	2011-07-31 16:50:29 +0000
+++ notify.py	2011-09-03 01:25:04 +0000
@@ -36,7 +36,7 @@
 
     def create_items(self):
         from bzrlib import errors
-        item = Gtk.CheckMenuItem('_Gateway to LAN')
+        item = Gtk.CheckMenuItem.new_with_mnemonic('_Gateway to LAN')
         item.connect('toggled', self.toggle_lan_gateway)
         self.append(item)
         self.append(Gtk.SeparatorMenuItem())
@@ -50,7 +50,8 @@
             # process is already running.
             item.set_sensitive(False)
 
-        item = Gtk.CheckMenuItem('Announce _branches on LAN')
+        item = Gtk.CheckMenuItem.new_with_mnemonic(
+            'Announce _branches on LAN')
         item.connect('toggled', self.toggle_announce_branches)
         self.append(item)
         self.append(Gtk.SeparatorMenuItem())

=== modified file 'revisionmenu.py'
--- revisionmenu.py	2011-07-31 16:50:29 +0000
+++ revisionmenu.py	2011-09-03 01:25:04 +0000
@@ -47,28 +47,29 @@
 
     def create_items(self):
         if len(self.revids) == 1:
-            item = Gtk.MenuItem("View _Changes")
+            item = Gtk.MenuItem.new_with_mnemonic("View _Changes")
             item.connect('activate', self.show_diff)
             self.append(item)
 
-            item = Gtk.MenuItem("_Push")
+            item = Gtk.MenuItem.new_with_mnemonic("_Push")
             item.connect('activate', self.show_push)
             self.append(item)
 
-            item = Gtk.MenuItem("_Tag Revision")
+            item = Gtk.MenuItem.new_with_mnemonic("_Tag Revision")
             item.connect('activate', self.show_tag)
             self.append(item)
 
-            item = Gtk.MenuItem("_Merge Directive")
+            item = Gtk.MenuItem.new_with_mnemonic("_Merge Directive")
             item.connect('activate', self.store_merge_directive)
             # FIXME: self.append(item)
 
-            item = Gtk.MenuItem("_Send Merge Directive")
+            item = Gtk.MenuItem.new_with_mnemonic("_Send Merge Directive")
             item.connect('activate', self.send_merge_directive)
             self.append(item)
 
             if self.wt:
-                item = Gtk.MenuItem("_Revert to this revision")
+                item = Gtk.MenuItem.new_with_mnemonic(
+                    "_Revert to this revision")
                 item.connect('activate', self.revert)
                 self.append(item)
 

=== modified file 'revisionview.py'
--- revisionview.py	2011-09-01 22:39:30 +0000
+++ revisionview.py	2011-09-03 01:25:04 +0000
@@ -552,7 +552,7 @@
                 button.add(image)
                 button.connect("clicked", self._show_clicked_cb,
                                self._revision.revision_id, revid)
-                hbox.pack_start(button, False, True, True, 0)
+                hbox.pack_start(button, False, True, 0)
                 button.show()
 
             button = Gtk.Button()

=== modified file 'viz/branchwin.py'
--- viz/branchwin.py	2011-08-27 20:18:43 +0000
+++ viz/branchwin.py	2011-09-03 01:25:04 +0000
@@ -432,7 +432,8 @@
                         except KeyError:
                             str = ""
 
-                        item = Gtk.MenuItem(parent.message.split("\n")[0] + str)
+                        item = Gtk.MenuItem(
+                            label=parent.message.split("\n")[0] + str)
                         item.connect('activate', self._set_revision_cb, parent_id)
                         prev_menu.add(item)
                 prev_menu.show_all()

